Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
경로 매개 변수
name
string
필수
The friendly name of the connection, provided by the user.
헤더 매개 변수
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
응답
The request has succeeded.
헤더
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
본문
name
string
필수
The friendly name of the connection, provided by the user.
id
string
필수
A unique identifier for the connection, generated by the service
type
string | enum
필수
The Type (or category) of the connection
enum
target
string
필수
The connection URL to be used for this service
isDefault
boolean
필수
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
필수
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
필수
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
필수
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
필수
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
필수
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
필수
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
필수
The credential type
metadata
object
필수
Metadata of the connection
요청
GET /connections/{name} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json